import request from '@/utils/request'

// 查询通讯协议管理列表
export function listProtocol(query) {
  return request({
    url: '/hnyz/commProtocol/list',
    method: 'get',
    params: query
  })
}

// 查询通讯协议管理详细
export function getProtocol(protocolId) {
  return request({
    url: '/hnyz/commProtocol/' + protocolId,
    method: 'get'
  })
}

// 新增通讯协议管理
export function addProtocol(data) {
  return request({
    url: '/hnyz/commProtocol',
    method: 'post',
    data: data
  })
}

// 修改通讯协议管理
export function updateProtocol(data) {
  return request({
    url: '/hnyz/commProtocol',
    method: 'put',
    data: data
  })
}

// 删除通讯协议管理
export function delProtocol(protocolId) {
  return request({
    url: '/hnyz/commProtocol/' + protocolId,
    method: 'delete'
  })
}

//获取通讯协议列表(用于select框)
export function getCommProtocolList() {
  return request({
    url: '/hnyz/commProtocol/getCommProtocolList',
    method: 'get'
  })
}

// 通讯协议启用状态修改
export function changeStatus(protocolId, status) {
  const data = {
    protocolId,
    status
  }
  return request({
    url: '/hnyz/commProtocol/changeStatus',
    method: 'put',
    data: data
  })
}